/* Main Menu Typography */
.htmega-menu-container ul > li > a {
    font-family: "Rajdhani", Arial, Helvetica, sans-serif;
    font-weight: 700;
    text-transform: capitalize;
    font-size: 15px;
    line-height: 16px;
}
/* Sub-Menu Typography */
.htmega-menu-container .sub-menu li{
	padding: 0 !important;
}
.htmega-menu-container .sub-menu li a {
	margin: 0;
	padding: 15px 30px;
	justify-content: space-between;
	position: relative;
	font-weight: 500;
    text-transform: capitalize;
    font-size: 14px;
    line-height: 24px;
    letter-spacing: 0.5px;
}
.thsn-custom-template:not(.thsn-custom-footer-template) .htmega-menu-container ul.htmega-megamenu > li {
	margin: 0 20px !important;
}
.htmega-menu-container ul > li > a > span.htmenu-icon {
	display: none;
}
@media (min-width: 1366px) {
	.thsn-advance-demo .thsn-mmenu-active-color-custom #site-header-menu #site-navigation .htmega-menu-container div.htmega-menu-area > ul > li > a {
        padding: 0 18px;
	}
}
@media (min-width: 1201px) {
	.thsn-htmega-toggle {
		display: none !important;
	}
	.themestek-sticky-header #site-header-menu #site-navigation .htmega-menu-container ul.htmega-megamenu > li > a {
		color: var(--thsn-doctery-stickymainmenufontcolor);
	}
	.htmega-menu-container ul > li > a {
		margin: 12px 0;
		display: inline-block;
	}
	.htmega-menu-container ul ul li a{
	   border-bottom: 1px solid rgba(0, 0, 0, .10);
	}

	#site-header-menu #site-navigation .htmega-menu-container ul ul > li {
		border-bottom: 1px solid transparent;
	}
	#site-header-menu #site-navigation .htmega-menu-container ul ul > li {
        border-bottom-color: rgba(255, 255, 255, 0.20);
    }
	#site-header-menu #site-navigation .htmega-menu-container ul ul > li:last-child {
		border: none;
	}
	.htmega-menu-container ul.sub-menu li > a:hover{
        background: var(--thsn-doctery-white-bg-color);
		color: var(--thsn-doctery-global-color);
		border-radius: 0;
    }	
	.thsn-advance-demo .thsn-mmenu-active-color-custom #site-header-menu #site-navigation .htmega-menu-container div.htmega-menu-area > ul > li > a {
        margin: 0;
        border-radius: 50px;
		line-height: 26px;
    }
	.thsn-advance-demo .thsn-mmenu-active-color-custom #site-header-menu #site-navigation .htmega-menu-container div.htmega-menu-area > ul > li > a:hover,
	.thsn-advance-demo .thsn-mmenu-active-color-custom #site-header-menu #site-navigation .htmega-menu-container div.htmega-menu-area > ul > li.current-menu-ancestor > a {
        color: var(--thsn-doctery-white-color);
        background-color: var(--thsn-doctery-global-color);
    }
	.htmega-menu-container ul.htmega-megamenu > li:first-child > .sub-menu,
	.htmega-menu-container .htmegamenu-content-wrapper{
		border-radius: 0px;
	}
	.elementor-element .thsn-mm-shadow img{
		box-shadow: 0px 0px 20px 8px rgba(14, 30, 29, 0.1);
		transition: 0.6s;
		border-radius: 0px;
	}
	.thsn-mm-shadow:hover img{
		box-shadow: 0px 0px 20px 10px rgba(14, 30, 29, 0.2);
	}
	.thsn-custom-template:not(.thsn-custom-footer-template) .thsn-sticky-header-05 .htmega-menu-container ul.htmega-megamenu > li:first-child,
	.thsn-custom-template:not(.thsn-custom-footer-template) .thsn-header-style-05 .htmega-menu-container ul.htmega-megamenu > li:first-child {
		margin-left: 0;
	}
	.htmega-menu-container ul li ul.sub-menu {
		padding: 0;
        border-radius: 0;
	}
	.htmega-menu-container ul > li{
		margin: 0 !important;
	}
	.thsn-navbar.thsn-bigger-menu div > ul > li {
		height: var(--thsn-doctery-header-height) !important;
		line-height: var(--thsn-doctery-header-height) !important;
	}
	.thsn-navbar.thsn-bigger-menu div > ul > li > a{
		height: var(--thsn-doctery-header-height) !important;
		line-height: var(--thsn-doctery-header-height) !important;
		padding: 0;
	}
	.thsn-header-style-2 .thsn-navbar.thsn-bigger-menu div > ul > li.current-menu-parent > a{
		color: var(--thsn-doctery-global-color);
	}
	 .htmega-menu-container .elementor > .elementor-element:first-child{
		margin-top: 0 !important;
	}
	.thsn-advance-demo .thsn-header-style-2 .thsn-header-wrapper::after{
		z-index: -1;
	}
	.thsn-navbar .htmega-menu-container > div > ul ul li:hover > a {
        background-color: var(--thsn-doctery-global-color);
    }
    .thsn-navbar .htmega-menu-container ul > li > ul > li:hover > a {
        padding-left: 40px;
    }
}
@media (max-width: 1366px) {
	.thsn-advance-demo .thsn-mmenu-active-color-custom #site-header-menu #site-navigation .htmega-menu-container div.htmega-menu-area > ul > li > a{
		padding: 0 12px;
	}
	.htmega-menu-container ul > li {
		margin-right: 5px !important;
	}
}
@media (max-width: 1200px) {
	.thsn-navbar > div.htmega-menu-container {
		position: fixed;
		top: 0;
		right: -400px;
		z-index: 1000;
		width: 300px;
		height: 100%;
		padding: 0;
		display: block;
		transition: all 900ms ease;
		-webkit-transform: translateX(400px);
		-ms-transform: translateX(400px);
		transform: translateX(400px);
		opacity: 0;
	}
	.thsn-navbar > div.htmega-menu-container.active {
		right: 0;
		-webkit-transform: translateX(0);
		-ms-transform: translateX(0);
		transform: translateX(0);
		visibility: visible;
		opacity: 1;
		overflow-y: scroll;
		-webkit-transition-delay: 600ms;
		transition-delay: 600ms;
	}
	.htmobile-menu-wrap {
		display: none !important;
	}
	.thsn-navbar > div.htmega-menu-container > .htmega-menu-area {
		padding: 90px 0 30px;
	}
	.admin-bar .thsn-navbar > div.htmega-menu-container > .htmega-menu-area {
		padding-top: 100px;
	}

	.htmega-menu-container ul li,
	.htmega-menu-container ul {
		display: block;
	}
	.htmega-menu-container .sub-menu,
	.htmega-menu-container .htmegamenu-content-wrapper {
		position: inherit;
		background-color: transparent;
		box-shadow: none;
		left: inherit;
		opacity: 1;
		visibility: visible;
		top: inherit;
		width: 100%;
		margin: 0;
		align-items: flex-start;
		transition: inherit;
	}
	.htmega-menu-container ul > li {
		margin: 0 !important;
	}
	.htmega-menu-container .sub-menu li .sub-menu {
		top: inherit;
		left: inherit;
		right: inherit;
		align-items: flex-start;
	}
	.htmega-menu-active .site > .htbody-overlay,
	.htmega-menu-container .sub-menu, .htmega-menu-container .htmegamenu-content-wrapper,
	.htmega-menu-container ul li ul.sub-menu {
		display: none;
	}
	.htmega-menu-container ul li.htmega_mega_menu > ul.sub-menu.thsn-submenu-open {
		display: block !important;
	}
	.htmega-menu-container .sub-menu li {
		width: 100%;
		padding: 0 !important;
	}
	.htmega-menu-container .sub-menu li a {
		padding: 12px 25px;
	}
	.thsn-mobile-menu-panel:has(.htmega-menu-container) {
		overflow-x: hidden;
	}
	.htmega-menu-container ul li.menu-item-has-children > ul.sub-menu.thsn-submenu-open {
		display: block !important;
		left: 0 !important;
	}
	.htmega-menu-container .htmegamenu-content-wrapper.thsn-submenu-open {
		display: block !important;
	}
	.htmobile-aside-button {
		display: none !important;
	}
	.thsn-navbar > div.htmega-menu-container ul.htmega-megamenu > li {
		border-bottom: 1px solid rgb(var(--thsn-doctery-white-color-rgb),.1);
		position: relative;
	}
	.thsn-navbar > div.htmega-menu-container ul > li > a {
		padding: 15px 25px !important;
		height: auto;
		display: inline-block;
		font-size: 14px;
		line-height: 18px !important;
		text-transform: uppercase;
		font-weight: 600;
	}
	.thsn-navbar > div.htmega-menu-container ul ul {
		padding-left: 1em;
	}
	.thsn-navbar > div.htmega-menu-container ul li ul.sub-menu li a {
        padding: 15px 25px !important;
        display: block;
        font-size: 14px;
        text-transform: capitalize;
        font-weight: 500;
        border: none;
	}
	.thsn-htmega-toggle {
		position: absolute;
		right: 25px;
		top: 15px;
		z-index: 33;
		display: block;
		cursor: pointer;
	}
	.thsn-htmega-toggle i {
		font-size: 15px;
		cursor: pointer;
		display: block;
		color: #fff !important;
		transition: transform 0.3s ease;
	}
	.thsn-htmega-toggle.thsn-submenu-open i {
		transform: rotate(180deg);
	}
	.themestek-sticky-header #site-header-menu #site-navigation .htmega-menu-container ul.htmega-megamenu > li > a {
		color: var(--thsn-doctery-stickymainmenufontcolor);
	}
}
@media (max-width: 991px) {
	.htmega-menu-area .htmega-megamenu {
		display:  block !important;
	}
	.htmega-menu-area {
		border: inherit;
        font-size: inherit;
        margin-bottom: inherit;
        padding: inherit;
        float: inherit;
        display: inherit;
	}
	.htmobile-aside-button {
		display: none !important;
	}
}